QFontManager(3qt)

NAME
QFontManager - Implements font management in Qt/Embedded

SYNOPSIS
#include <qfontmanager_qws.h>

  Public Members
QFontManager ()
~QFontManager ()
QDiskFont * get ( const QFontDef & f )

  Static Public Members
void initialize ()
void cleanup ()

DESCRIPTION
The QFontManager class implements font management in Qt/Embedded.

There is one and only one QFontManager per Qt/Embedded application. The qt_fontmanager global variable points to it. It keeps a list of font factories, a cache of rendered fonts and a list of fonts available on disk. QFontManager is called when a new font needs to be rendered from a Freetype-compatible or BDF font on disk; this only happens if there isn't an appropriate QPF font already available.

See also Qt/Embedded.

MEMBER FUNCTION DOCUMENTATION

QFontManager::QFontManager ()
Creates a font manager. This method reads in the font definition file from INSTALL/lib/fonts/fontdir, where INSTALL is the directory where Qt/Embedded was installed, and creates a list of QDiskFonts to hold the information in the file. It also constructs any defined font factories.

QFontManager::~QFontManager ()
Destroys the QFontManager and sets qt_fontmanager to 0.

void QFontManager::cleanup () [static]
Destroys the font manager

QDiskFont * QFontManager::get ( const QFontDef & f )
Returns the QDiskFont that best matches f, based on family, weight, italicity and font size.

void QFontManager::initialize () [static]
Creates a new QFontManager and points qt_fontmanager to it

SEE ALSO
http://doc.trolltech.com/qfontmanager.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqfontmanager.3qt) and the Qt version (3.3.8).